Subject: [netatalk-admins] More problems w/ netatalk and solaris 7

From: Prentice Bisbal <[email-masked]>
Date: Tue, 5 Oct 1999 15:44:51 -0400

I have finally managed to get netatalk to comple on Solaris 7 with DES, PAM and
TCP Wrapper support. But I still can't get the module to install. This is what
I get when I do a make kinstall:

/usr/ucb/install -c ddp /usr/kernel/drv/ddp
ln /usr/kernel/drv/ddp /usr/kernel/strmod/ddp
/usr/ucb/install -c ddp.conf /usr/kernel/drv/ddp.conf
add_drv -m '* 0666 root sys' ddp
drvconfig: Driver (ddp) failed to attach
Warning: Driver (ddp) successfully added to system but failed to attach
*** Error code 1
make: Fatal error: Command failed for target `kinstall'
Current working directory /u/pbisbal/source/netatalk-1.4b2+asun2.1.3/sys/solaris
*** Error code 1
make: Fatal error: Command failed for target `kinstall'

Some additional information that may be helpful:

# more /etc/netconfig
udp        tpi_clts      v     inet    udp    /dev/udp        -
tcp        tpi_cots_ord  v     inet    tcp    /dev/tcp        -
rawip      tpi_raw       -     inet    -      /dev/rawip      -
ticlts     tpi_clts      v    loopback -      /dev/ticlts     straddr.so
ticotsord  tpi_cots_ord  v    loopback -      /dev/ticotsord  straddr.so
ticots     tpi_cots      v    loopback -      /dev/ticots     straddr.so
ddp        tpi_clts      -    appletalk ddp   /dev/ddp        - 

# more /etc/services
...
#The following lines added for netatalk
rtmp            1/ddp           # Routing Table Maintenance Protocol
nbp             2/ddp           # Name Binding Protocol
echo            4/ddp           # AppleTalk Echo Protocol
zip             6/ddp           # Zone Information Protocol

afpovertcp      548/tcp         # AFP over TCP
afpovertcp      548/udp

I'm using Eric Young's DES libraries (compiled with gcc) and I've tried
compiling  netatalk with both gcc and Suns Workshop C/C++ compiler (cc) in both
64-bit (-xarch=v9, and changing the modle paths corresespondingly to include
sparcv9) and 32-bit mode, but nothing works. 

Thanks in advance.
 -- 
Prentice Bisbal
[email-masked]
Princeton Plasma Physics Lab
http://www.pppl.gov